> For the complete documentation index, see [llms.txt](https://developer.onehub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.onehub.com/api/getting-started.md).

# Getting Started

## Create a Developer Account

In order to access the Onehub API, you will need to create a Onehub Developer account. Developer accounts are the only accounts that can create Onehub API keys. Developer accounts have limited resources for day-to-day use and beyond creating API keys are only meant for testing.

After creating your API keys, you will be able to authenticate against the API as a different Onehub user in order to access your paid account's data. See the [Authorization](/api/authorization.md) section for more information.

{% hint style="info" %}
Make sure you sign out of any existing Onehub accounts before clicking the link below.

* [Sign Up for a Onehub Developer Account](https://ws.onehub.com/signups/new?plan_name=developer\&return_to=%2Fhome)
  {% endhint %}

## Create Your API Keys

You’ll need to create an OAuth Client that represents your application when communicating with our OAuth Server. Your API keys carry many privileges, so be sure to keep them secret!

* Visit the [Developer section](https://ws.onehub.com/oauth2_clients) of your account
* Click the **Create OAuth Client** button
* Fill in your application information and click **Create Client**
* Store your generated **Client ID** and **Client Secret** in a safe place

{% hint style="warning" %}
Your secret will not be retrievable after leaving the confirmation screen.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.onehub.com/api/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
